//
// THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND  MAY
// BE USED OR COPIED ONLY IN ACCORDANCE WITH THE TERMS
// OF SUCH LICENSE.
//
//
// COPYRIGHT (c) 1997 BY DIGITAL EQUIPMENT CORPORATION.
// ALL RIGHTS RESERVED.
//

package dec.trek;
import java.lang.RuntimeException;

//
//
// TrekException
//
//
public class TrekException extends RuntimeException
{
	String context;

	// Return the specified context info if present. If mult copies present,
	// the 1st (lowest level) is returned
	String piece(String prefix, String label)
	{
		int idx = context.indexOf(label);
		if (idx < 0) return "";
		int endidx = context.indexOf(";", idx);
		return prefix + context.substring(idx+2, endidx);
	}

	public TrekException(String str)
	{
		super(str);
		context = "";
	}

/*
	public String toString()
	{
		return getMessage();
	}
*/

}

