//
// THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND  MAY
// BE USED OR COPIED ONLY IN ACCORDANCE WITH THE TERMS
// OF SUCH LICENSE.
//
//
// COPYRIGHT (c) 1997 BY DIGITAL EQUIPMENT CORPORATION.
// ALL RIGHTS RESERVED.
//

package dec.trek;
import java.io.*;

// Super class for all types of value constants.

public abstract class ValueRef extends CpInfo
{
	ValueRef(ClassFile cf)
	{
		super(cf);
	}

	// Returns object containing value of cpi, or null if non-value cp entry
	public Object getObject()
	{
		return toInternalString();
	}

	// Scan for next entry of specified type of constant
	// Returns matching constant or null
	public ValueRef next()
	{
		return (ValueRef)nextOf();
	}

}

